Macaulay2 » Documentation
Packages » Hadamard :: hadamardProduct(List,List)
next | previous | forward | backward | up | index | toc

# hadamardProduct(List,List) -- Hadamard product of two sets of points

- Function: hadamardProduct
- Usage:
    `hadamardProduct(L,M)`
- Inputs:
  - L, a list, of Point
  - M, a list, of Point
- Outputs:
  - a list, of Point

## Description

Given two sets of points $L$ and $M$ returns the list of (well-defined) entrywise multiplication of pairs of points in the cartesian product $L\times M$.

    i1 : L = {point{0,1}, point{1,2}};

    i2 : M = {point{1,0}, point{2,2}};

    i3 : hadamardProduct(L,M)

    o3 = {Point{1, 0}, Point{0, 2}, Point{2, 4}}

    o3 : List

## Ways to use this method:

- hadamardProduct(List,List) -- Hadamard product of two sets of points

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Hadamard.m2:345:0.